OPENTTD(6)

NAME
openttd - open source clone of the Microprose game “Transport Tycoon Deluxe”

SYNOPSIS
openttd [-efhQxX] [-b blitter] [-c config_file] [-d [level | cat=lvl[,...]]] [-D [host][:port]] [-g [file]] [-G seed] [-I graphicsset] [-m driver] [-M musicset] [-n host[:port][#company]] [-p password] [-q savegame] [-r widthxheight] [-s driver] [-S soundset] [-t year] [-v driver]

OPTIONS

-b blitter
    Select the blitter blitter; see -h for a full list.

-c config_file
    Use config_file instead of openttd.cfg.

-d [level]
    Set debug verbosity for all categories to level, or 1 if omitted.

-d cat=lvl[,...]
    Set debug verbosity to lvl for a specific category cat.

-D [host][:port]
    Start a dedicated server.

    Network debug level will be set to 6. If you want to change this, set -d after setting -D.

-e  Start in world editor mode.

-f  Fork into background (dedicated server only, see -D).

-g [file]
    Load file (can be either a savegame, scenario, or heightmap) at start or start a new game if omitted. file must be either an absolute path or one relative to the current path or one of the search paths.

-G seed
    Seed the pseudo random number generator with seed.

-h  Display a summary of all options and list all the available AIs, blitters, sound, music and video drivers, graphics sets and sound sets.

-I graphicsset
    Select the graphics set graphicsset; see -h for a full list.

-m driver
    Select the music driver driver; see -h for a full list.

-M musicset
    Select the music set musicset; see -h for a full list.

-n host[:port][#company]
    Join a network game, optionally specifying a port to connect to and company to play as.

-p password
    Password used to join server. Only useful with -n.

-q savegame
    Write some information about the specified savegame and exit.

-Q  Don't scan for/load NewGRF files on startup.

    Passing -Q twice (so, -QQ ) will disable NewGRF scanning/loading entirely.

-r widthxheight
    Set the resolution to width × height pixels.

-s driver
    Select the sound driver driver; see -h for a full list.

-S soundset
    Select the sound set soundset; see -h for a full list.

-t year
    Set the starting year to year.

-v driver
    Select the video driver driver; see -h for a full list.

-x  Do not automatically save to config file on exit.

-X  Do not use global folders to search for files.

SEE ALSO
Wiki: https://wiki.openttd.org (includes community maintained manual), Forum: https://forum.openttd.org, News: https://www.openttd.org

HISTORY
Transport Tycoon Deluxe was written by Chris Sawyer and published by Microprose. openttd is a free reimplementation.